package com.google.android.gms.signin.internal;

import X.C36088vf;
import X.C36278vy;
import android.app.PendingIntent;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.internal.ResolveAccountResponse;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;

public final class zak extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zak> CREATOR = new C36278vy();
    public final ConnectionResult LIZ;
    public final ResolveAccountResponse LIZIZ;
    public final int LIZJ;

    static {
        Covode.recordClassIndex(43850);
    }

    public zak() {
        this(new ConnectionResult(8, (PendingIntent) null));
    }

    public zak(ConnectionResult connectionResult) {
        this(1, connectionResult, (ResolveAccountResponse) null);
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int LIZ2 = C36088vf.LIZ(parcel, 20293);
        C36088vf.LIZIZ(parcel, 1, this.LIZJ);
        C36088vf.LIZ(parcel, 2, (Parcelable) this.LIZ, i);
        C36088vf.LIZ(parcel, 3, (Parcelable) this.LIZIZ, i);
        C36088vf.LIZIZ(parcel, LIZ2);
    }

    public zak(int i, ConnectionResult connectionResult, ResolveAccountResponse resolveAccountResponse) {
        this.LIZJ = i;
        this.LIZ = connectionResult;
        this.LIZIZ = resolveAccountResponse;
    }
}
